Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005464TestLinkDatabase MS-SQLpublic2013-01-11 23:132013-05-26 18:50
Reporteraostad 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSServer 2008OS VersionR2
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005464: DB Access error after deleting events from Event view (SQL server 2008)
DescriptionI've tried to delete events from event viewer without selecting any level (i.e. All). As a result I got "DB Access Error" (attached file).

Now, every time people go to login page or when log out from Testlink, the error shows up.

Steps To ReproduceJust go to Event viewer page as admin.
Click on "Clear Events" without selecting any log level or user.
I have attached the log file generated by Testlink and a screenshot.
TagsNo tags attached.
Database (MySQL,Postgres,etc)SQL Server 2008
Browserany
PHP Version5.3.13
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filestxt file icon Deleting Events error.txt [^] (152,702 bytes) 2013-01-11 23:13 [Show Content]
jpg file icon Deleting Events error-screenshot.jpg [^] (51,361 bytes) 2013-01-11 23:15

- Relationships
child of 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018192)
fman (administrator)
2013-01-19 15:50
edited on: 2013-01-19 16:26

Issue seems related to logic used to do the delete ( SQL with IN CLAUSE).
As found by user (see forum) in this particular situation qty of elements on IN was over the limit impossed and managed by MSSQL

On attached error file this is indicated by this message to some extend

The query processor ran out of internal resources and could not produce a query plan. This is a rare event and only expected for extremely complex queries or queries that reference a very large number of tables or partitions.


Some references that can be useful to understand a little bit more

http://stackoverflow.com/questions/1869753/maximum-size-for-a-sql-server-query-in-clause-is-there-a-better-approach [^]

http://stackoverflow.com/questions/1069415/t-sql-where-col-in [^]

(0018193)
fman (administrator)
2013-01-19 17:17

http://gitorious.org/testlink-ga/testlink-code/commit/bc12e84411952e2c846e26e7958b9a142ec99538 [^]

Please replace the file pointed by the commit, retest and provide feedback
(0018196)
aostad (reporter)
2013-01-20 03:01

I've replaced the original logger.class.php with the new one. To test it, I need time until events are pile up, so I prefer to wait for a week or more then clean events.
(0018197)
fman (administrator)
2013-01-20 16:15
edited on: 2013-01-20 21:11

Proposed solution has issue with MySQL while working with Postgres, need to find an alternative.

This seems to work
http://gitorious.org/testlink-ga/testlink-code/commit/fba0b575407e6c95909f833d57faf60f907b1690 [^]


- Issue History
Date Modified Username Field Change
2013-01-11 23:13 aostad New Issue
2013-01-11 23:13 aostad File Added: Deleting Events error.txt
2013-01-11 23:15 aostad File Added: Deleting Events error-screenshot.jpg
2013-01-12 09:12 fman Description Updated View Revisions
2013-01-19 15:50 fman Note Added: 0018192
2013-01-19 15:52 fman Note Edited: 0018192 View Revisions
2013-01-19 16:24 fman Note Edited: 0018192 View Revisions
2013-01-19 16:26 fman Note Edited: 0018192 View Revisions
2013-01-19 17:17 fman Note Added: 0018193
2013-01-19 17:17 fman Assigned To => fman
2013-01-19 17:17 fman Status new => feedback
2013-01-19 17:17 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-01-19 17:17 fman Relationship added child of 0005406
2013-01-20 02:45 aostad Note Added: 0018195
2013-01-20 02:45 aostad Status feedback => assigned
2013-01-20 03:01 aostad Note Added: 0018196
2013-01-20 11:02 fman Note Deleted: 0018195
2013-01-20 16:15 fman Note Added: 0018197
2013-01-20 21:11 fman Note Edited: 0018197 View Revisions
2013-02-12 20:40 fman Status assigned => resolved
2013-02-12 20:40 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-12 20:40 fman Resolution open => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker